Add a counterparty to a group
Gated by the counterparty_group_add policy. WARNING: adding expands the whitelist immediately; the list is only as reliable as the counterparty directory is protected
curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/members" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"counterpartyId": "example_string"
}'
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/members"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"counterpartyId": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/members", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"counterpartyId": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"counterpartyId": "example_string"
}`)
req, err := http.NewRequest("POST", "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/members", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/counterparty-groups/example_string/members')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"counterpartyId": "example_string"
}'
response = http.request(request)
puts response.body
{
"added": true
}
{
"request": {
"id": "cmr3f41z20001psp7phmyapw3",
"vaultId": "example_string",
"action": "example_string",
"status": "example_string",
"initiatorId": "example_string",
"targetType": "example_string",
"targetId": "example_string",
"baseVersion": "example_string",
"payload": "null",
"decisionPolicyId": "example_string",
"decisionPolicyCode": "example_string",
"approvalThreshold": 42,
"resolvedResultId": "example_string",
"resolvedAt": "2026-07-02T11:25:15.134000Z",
"createdAt": "2026-07-02T11:25:15.134000Z",
"updatedAt": "2026-07-02T11:25:15.134000Z",
"approvers": [
{
"id": "example_string",
"userId": "example_string",
"decision": "approve",
"comment": "example_string",
"votedAt": "2026-07-02T11:25:15.134000Z",
"stepIndexesJson": [
42
],
"createdAt": "2026-07-02T11:25:15.134000Z",
"user": {
"id": "example_string",
"name": "John Doe",
"email": "user@example.com",
"username": "John Doe",
"image": "example_string",
"color": "#000",
"emoji": "🦊"
}
}
]
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
/api/v1/vaults/{code}/counterparty-groups/{id}/membersTarget server for requests. Edit to use your own host.
Session token. Mobile/services. The web uses a cookie.
API key (sent in cookie)
Unique Vault code (slug)
Group id (cuid)
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Session token. Mobile/services. The web uses a cookie.
API Key for authentication. Provide your API key in the cookie.
Path Parameters
Group id (cuid)